[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: can we have php 5.5 and 5.6 ?



Hi Joydeep,

You cannot use port 80 because it's a privileged port and your container runs as an unprivileged user, for security. Sticking to 8080 is the way to go.

As for the error you mentioned I'm afraid I didn't understand it clearly.
Could you share a bit more what is the input, what did you expect to happen and what actually happened?


Cheers,


On Fri, Oct 9, 2015 at 10:47 AM, Joydeep Bakshi <joydeep bakshi netzrezepte de> wrote:
Hello Rodolfo ,

many many thanks , your shared link has helped me to get php 5.5/5.6 on openshift-origin.
This setup is working with nginx actually. Whenever we have a URL with trailing-slash on this setup ( like http://example.openshift.com/ )
it redirects to port 8080 ; so all such links automatically redirected to 8080 and throws error. How can we fix this issue ?

I have also modified port 8080 to 80 at server section of nginx but it stopped working  :-(

server {
    listen  127.2.8.129:8080;
    server_name  localhost;




On Fri, Aug 28, 2015 at 5:02 PM, Joydeep Bakshi <joydeep bakshi netzrezepte de> wrote:
Thanks Rodolfo !!

will look into it

with best wishes



On Fri, Aug 28, 2015 at 4:58 PM, Rodolfo Carvalho <rcarvalh redhat com> wrote:
Joydeep,

Not sure if this would work for you, but perhaps you're interested in using a community cartridge or creating your own?

It supports both PHP 5.5 and 5.6.



I'm not familiar with the differences between those versions of PHP, but maybe it would require just a few changes?


Hope that helps,

On Fri, Aug 28, 2015 at 1:10 PM, Joydeep Bakshi <joydeep bakshi netzrezepte de> wrote:
Hello Rodolfo,

Thanks for your response. I can confirm from the logo ; it is openshift origin .
And when I check php based apps , I can see
 

Cartridges


Command oo-cartridge is also available in the system.


with regards



On Fri, Aug 28, 2015 at 3:04 PM, Rodolfo Carvalho <rcarvalh redhat com> wrote:
Hi Joydeep,

When you said "cartridges" and "openshift origin server" together, I assumed you're talking about OpenShift v2.

Ben's answer is about OpenShift v3, that uses Docker images and not the old cartridges.

Could you please confirm?


The PHP version in the OpenShift v2 cartridge I linked above is 5.3. I don't know myself if new cartridges will be officially added to v2, I'll defer this to someone else to answer.

Meanwhile, I found this resource for posting cartridge requests:




On Fri, Aug 28, 2015 at 8:09 AM, Joydeep Bakshi <joydeep bakshi netzrezepte de> wrote:
Hello Ben,

I have checked the documentation and as per it php 5.5  image is available on either RHEL 7 or centos 7.
But the OS here is CentOS release 6.7 (Final)

Can we have any luck with this release of OS ?

Thanks

On Fri, Aug 28, 2015 at 10:48 AM, Joydeep Bakshi <joydeep bakshi netzrezepte de> wrote:
Thank you very much Ben !!
I'm going through the link will try to implement and will inform you the outcome.

with best regards


On Fri, Aug 28, 2015 at 1:07 AM, Ben Parees <bparees redhat com> wrote:
and php5.6 is not documented yet but the s2i enabled image is available:
https://hub.docker.com/r/openshift/php-56-centos7/


On Thu, Aug 27, 2015 at 5:00 AM, Joydeep Bakshi <joydeep bakshi netzrezepte de> wrote:
Hello,


Is there any way to have php cartridges based on version 5.5 and 5.6 on openshift origin server ?

Thanks 

_______________________________________________
users mailing list
users lists openshift redhat com
http://lists.openshift.redhat.com/openshiftmm/listinfo/users




--
Ben Parees | OpenShift




_______________________________________________
users mailing list
users lists openshift redhat com
http://lists.openshift.redhat.com/openshiftmm/listinfo/users




--
Rodolfo Carvalho

OpenShift Developer Experience




--
Rodolfo Carvalho

OpenShift Developer Experience





--
Rodolfo Carvalho

OpenShift Developer Experience

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]